// 이 프로그램은 하동욱님의 서블릿 강좌 예제를
//  토대로 만들어 졌습을 밝힘니다.
/*
	게시판의 기초적인 기능만 만들어 보았으니 관심 있으신분은
	추가적인 기능을 추가해보시면 좀더 나은 게시판이
	될것 같네요.

	질문사항이나 조언해주실분 메일부탁드립니다.

	email : batmanii@dreamx.net
*/
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
/**----------------------------------------------------------------------------
 * BoardInput_db
 *
 * author  batmanii
 * version 1.0 (2000/07/22)
 */
///////////////////////////////////////////////////////////////////////////////
public class BoardErase_db extends HttpServlet
{

    int num;
    String password;

    //웹서버로 부터 읽어 드릴 값들을 저장하기 위한 필드들

    PrintWriter out;

    public void doGet(HttpServletRequest req, HttpServletResponse res)	throws ServletException,IOException
    {

        res.setContentType("text/html;charset=euc-kr");

      	out = res.getWriter();

      	num = Integer.parseInt(req.getParameter("bnum"));
      	System.out.println(num);
        // getParameter메소드를 이용해 input.html로 부터 전달된 데이터를 얻습니다.
        // 전달된 데이터드을 할글처리를 위해 ByteToKSC5601을 이용해 변환합니다.

	   out.println("<html>");
     out.println("   <head>");
     out.println("       <title>비밀번호확인</title>");
     out.println("   </head>");
     out.println("   <body bgcolor=white text=black link=blue vlink=purple alink=red>");
     out.println("     <form action=BoardDelete_db method=post>");
     out.println("        <p align=center><font bgcolor=#C4C4FF size=5 >비밀번호를 입력하세요.</font>");
     out.println("        <hr width=300><p><p>");
     out.println("                  <input type=hidden name=num value="+num+" size=13 maxlength=5></td>");
     out.println("       	<table border=1  align=center>");
     out.println("              <tr>");
     out.println("                  <td width=79 bgcolor=#C4C4FF height=38><p align=center>비밀번호</p></td>");
     out.println("                  <td width=104 bgcolor=white height=38>");
     out.println("                  <p align=center><input type=password name=password size=13 maxlength=5></td>");
     out.println("              </tr>");
     out.println("              <tr>");
     out.println("                  <td colspan=2 align = center><input type=submit value=확인></td>");
     out.println("              </tr>");
     out.println("        </table>");
     out.println("     </form>");
     out.println("   </body>");
     out.println("</html>");
    }
}
